# Class IrcNumericReply | EchoHub Documentation

# Class IrcNumericReply

Namespace
  EchoHub.Server.Irc

Assembly
  EchoHub.Server.Irc.dll

    public static class IrcNumericReply

Inheritance
  object
  IrcNumericReply

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.ToString()
  object.Equals(object)
  object.Equals(object, object)
  object.ReferenceEquals(object, object)
  object.GetHashCode()

## Fields

### ERR_ALREADYREGISTERED

    public const string ERR_ALREADYREGISTERED = "462"

#### Field Value

string

### ERR_CANNOTSENDTOCHAN

    public const string ERR_CANNOTSENDTOCHAN = "404"

#### Field Value

string

### ERR_CHANOPRIVSNEEDED

    public const string ERR_CHANOPRIVSNEEDED = "482"

#### Field Value

string

### ERR_ERRONEUSNICKNAME

    public const string ERR_ERRONEUSNICKNAME = "432"

#### Field Value

string

### ERR_NEEDMOREPARAMS

    public const string ERR_NEEDMOREPARAMS = "461"

#### Field Value

string

### ERR_NICKNAMEINUSE

    public const string ERR_NICKNAMEINUSE = "433"

#### Field Value

string

### ERR_NOMOTD

    public const string ERR_NOMOTD = "422"

#### Field Value

string

### ERR_NONICKNAMEGIVEN

    public const string ERR_NONICKNAMEGIVEN = "431"

#### Field Value

string

### ERR_NOSUCHCHANNEL

    public const string ERR_NOSUCHCHANNEL = "403"

#### Field Value

string

### ERR_NOSUCHNICK

    public const string ERR_NOSUCHNICK = "401"

#### Field Value

string

### ERR_NOTONCHANNEL

    public const string ERR_NOTONCHANNEL = "442"

#### Field Value

string

### ERR_NOTREGISTERED

    public const string ERR_NOTREGISTERED = "451"

#### Field Value

string

### ERR_PASSWDMISMATCH

    public const string ERR_PASSWDMISMATCH = "464"

#### Field Value

string

### ERR_SASLFAIL

    public const string ERR_SASLFAIL = "904"

#### Field Value

string

### ERR_UNKNOWNCOMMAND

    public const string ERR_UNKNOWNCOMMAND = "421"

#### Field Value

string

### RPL_AWAY

    public const string RPL_AWAY = "301"

#### Field Value

string

### RPL_CHANNELMODEIS

    public const string RPL_CHANNELMODEIS = "324"

#### Field Value

string

### RPL_CREATED

    public const string RPL_CREATED = "003"

#### Field Value

string

### RPL_ENDOFMOTD

    public const string RPL_ENDOFMOTD = "376"

#### Field Value

string

### RPL_ENDOFNAMES

    public const string RPL_ENDOFNAMES = "366"

#### Field Value

string

### RPL_ENDOFWHO

    public const string RPL_ENDOFWHO = "315"

#### Field Value

string

### RPL_ENDOFWHOIS

    public const string RPL_ENDOFWHOIS = "318"

#### Field Value

string

### RPL_ISUPPORT

    public const string RPL_ISUPPORT = "005"

#### Field Value

string

### RPL_LIST

    public const string RPL_LIST = "322"

#### Field Value

string

### RPL_LISTEND

    public const string RPL_LISTEND = "323"

#### Field Value

string

### RPL_LOGGEDIN

    public const string RPL_LOGGEDIN = "900"

#### Field Value

string

### RPL_MOTD

    public const string RPL_MOTD = "372"

#### Field Value

string

### RPL_MOTDSTART

    public const string RPL_MOTDSTART = "375"

#### Field Value

string

### RPL_MYINFO

    public const string RPL_MYINFO = "004"

#### Field Value

string

### RPL_NAMREPLY

    public const string RPL_NAMREPLY = "353"

#### Field Value

string

### RPL_NOTOPIC

    public const string RPL_NOTOPIC = "331"

#### Field Value

string

### RPL_NOWAWAY

    public const string RPL_NOWAWAY = "306"

#### Field Value

string

### RPL_SASLSUCCESS

    public const string RPL_SASLSUCCESS = "903"

#### Field Value

string

### RPL_TOPIC

    public const string RPL_TOPIC = "332"

#### Field Value

string

### RPL_UMODEIS

    public const string RPL_UMODEIS = "221"

#### Field Value

string

### RPL_UNAWAY

    public const string RPL_UNAWAY = "305"

#### Field Value

string

### RPL_WELCOME

    public const string RPL_WELCOME = "001"

#### Field Value

string

### RPL_WHOISCHANNELS

    public const string RPL_WHOISCHANNELS = "319"

#### Field Value

string

### RPL_WHOISIDLE

    public const string RPL_WHOISIDLE = "317"

#### Field Value

string

### RPL_WHOISSERVER

    public const string RPL_WHOISSERVER = "312"

#### Field Value

string

### RPL_WHOISUSER

    public const string RPL_WHOISUSER = "311"

#### Field Value

string

### RPL_WHOREPLY

    public const string RPL_WHOREPLY = "352"

#### Field Value

string

### RPL_YOURHOST

    public const string RPL_YOURHOST = "002"

#### Field Value

string